# PSecureConfig Class Reference

`#include <cypher.h>`

Inheritance diagram for PSecureConfig:

List of all members.

## Public Types

| Defaults
| Pending
| IsValid
| Expired
| Invalid
enum | ValidationState { Defaults, Pending, IsValid, Expired, Invalid }

## Public Member Functions

| PSecureConfig (const PTEACypher::Key &productKey, const PStringArray &securedKeys, Source src=Application)
| PSecureConfig (const PTEACypher::Key &productKey, const char *const *securedKeyArray, PINDEX count, Source src=Application)
const PStringArray & | GetSecuredKeys () const
const PString & | GetSecurityKey () const
const PString & | GetExpiryDateKey () const
const PString & | GetOptionBitsKey () const
const PString & | GetPendingPrefix () const
void | GetProductKey (PTEACypher::Key &productKey) const
ValidationState | GetValidation () const
PBoolean | ValidatePending ()
void | ResetPending ()

## Protected Attributes

PTEACypher::Key | productKey
PStringArray | securedKeys
PString | securityKey
PString | expiryDateKey
PString | optionBitsKey
PString | pendingPrefix

## Member Enumeration Documentation

enum PSecureConfig::ValidationState

Enumerator:

  Defaults |
  Pending |
  IsValid |
  Expired |
  Invalid |

## Constructor & Destructor Documentation

PSecureConfig::PSecureConfig | ( | const PTEACypher::Key & | productKey,
|  | const PStringArray & | securedKeys,
|  | Source | src = `Application` |
| ) |  |  |

PSecureConfig::PSecureConfig | ( | const PTEACypher::Key & | productKey,
|  | const char *const * | securedKeyArray,
|  | PINDEX | count,
|  | Source | src = `Application` |
| ) |  |  |

## Member Function Documentation

const PString& PSecureConfig::GetExpiryDateKey | ( |  | ) | const`[inline]`

const PString& PSecureConfig::GetOptionBitsKey | ( |  | ) | const`[inline]`

const PString& PSecureConfig::GetPendingPrefix | ( |  | ) | const`[inline]`

void PSecureConfig::GetProductKey | ( | PTEACypher::Key & | productKey | ) | const

const PStringArray& PSecureConfig::GetSecuredKeys | ( |  | ) | const`[inline]`

const PString& PSecureConfig::GetSecurityKey | ( |  | ) | const`[inline]`

ValidationState PSecureConfig::GetValidation | ( |  | ) | const

void PSecureConfig::ResetPending | ( |  | ) |

PBoolean PSecureConfig::ValidatePending | ( |  | ) |

## Member Data Documentation

PString PSecureConfig::expiryDateKey `[protected]`

PString PSecureConfig::optionBitsKey `[protected]`

PString PSecureConfig::pendingPrefix `[protected]`

PTEACypher::Key PSecureConfig::productKey `[protected]`

PStringArray PSecureConfig::securedKeys `[protected]`

PString PSecureConfig::securityKey `[protected]`

The documentation for this class was generated from the following file:

- cypher.h